Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.author
Class LuceneAuthorManagerImpl

    java.lang.Object
      com.atlassian.bamboo.author.LuceneAuthorManagerImpl

All Implemented Interfaces:
  AuthorManager

    public class LuceneAuthorManagerImpl

extends Object
implements AuthorManager

Constructor Summary
`LuceneAuthorManagerImpl()`

Method Summary
`Set` | `getAllAuthors()`
`Author` | `getAuthorByName(String name)`
`Set` | `getAuthorsInBuild(long buildId)`
`BuildResultsSummaryDocumentFactory` | `getBuildResultsSummaryDocumentFactory()`
`IndexConnectionManager` | `getIndexConnectionManager()`
`Searcher` | `getSearcher()`
`void` | `setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)`
`void` | `setIndexConnectionManager(IndexConnectionManager indexConnectionManager)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LuceneAuthorManagerImpl

    public LuceneAuthorManagerImpl()

Method Detail

### getAllAuthors

    public Set getAllAuthors()

  Specified by:
    `getAllAuthors` in interface `AuthorManager`
  Returns:
    `Set` of all `Author`

### getAuthorsInBuild

    public Set getAuthorsInBuild(long buildId)

  Specified by:
    `getAuthorsInBuild` in interface `AuthorManager`
  Returns:
    `Set` of `Author` in a build

### getAuthorByName

    public Author getAuthorByName(String name)

  Specified by:
    `getAuthorByName` in interface `AuthorManager`
  Returns:
    `Author` with given name.

### getSearcher

    public Searcher getSearcher()
                         throws IOException

  Throws:
    `IOException`

### getIndexConnectionManager

    public IndexConnectionManager getIndexConnectionManager()

### setIndexConnectionManager

    public void setIndexConnectionManager(IndexConnectionManager indexConnectionManager)

### getBuildResultsSummaryDocumentFactory

    public BuildResultsSummaryDocumentFactory getBuildResultsSummaryDocumentFactory()

### setBuildResultsSummaryDocumentFactory

    public void setBuildResultsSummaryDocumentFactory(BuildResultsSummaryDocumentFactory buildResultsSummaryDocumentFactory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.